// sapiendll.cpp : control Sapien and other WowWee bots from your applications

#include "../sapien/sapien.h"
#include "sapiendll.h"

BOOL APIENTRY DllMain( HANDLE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
	case DLL_PROCESS_DETACH:
		break;
	}
    return TRUE;
}

static HANDLE f;

extern "C" {

SAPIENDLL_API void sapien_send(int b, int nowakeup)
{
  sap_send(f, nowakeup, b);
}

SAPIENDLL_API int sapien_decode(char *sapien_cmd, int version)
{
  return sap_decode(sapien_cmd, version);
}

SAPIENDLL_API void sapien_open(char *port)
{
  f = sap_open(port);
}
 
SAPIENDLL_API void sapien_close()
{
  sap_close(f);
}

}
