// sapien.h : definitions and prototypes used by all link targets

#ifndef __sapien_h__
#define __sapien_h__

#ifdef WIN32
#include <windows.h>
#else
#include <unistd.h>
#include <string.h>
#include <time.h>
#include <termios.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h>
#define HANDLE int
#define INVALID_HANDLE_VALUE -1
#endif

#include <stdio.h>

#define NCMDSAPIEN    128
#define NCMDSAPIEN2    73
#define NCMDPET        20

extern char *cmd[NCMDSAPIEN];
extern char *cmd2[NCMDSAPIEN2];
extern int codes2[NCMDSAPIEN2];
extern char *petcmd[NCMDPET];
extern int petcodes[NCMDPET];

void sap_send(HANDLE f, int nowakeup, int b);
int sap_decode(const char *sapien_cmd, int version);
HANDLE sap_open(const char *outport);
void sap_close(HANDLE f);

#endif
